[**@nymproject/sdk**](globals.md) • **Docs**

***

# @nymproject/sdk

## Enumerations

- [EventKinds](enumerations/EventKinds.md)
- [MimeTypes](enumerations/MimeTypes.md)

## Interfaces

- [NymMixnetClientOptions](interfaces/NymMixnetClientOptions.md)
- [NymMixnetClient](interfaces/NymMixnetClient.md)
- [Client](interfaces/Client.md)
- [Events](interfaces/Events.md)
- [LoadedEvent](interfaces/LoadedEvent.md)
- [ConnectedEvent](interfaces/ConnectedEvent.md)
- [StringMessageReceivedEvent](interfaces/StringMessageReceivedEvent.md)
- [BinaryMessageReceivedEvent](interfaces/BinaryMessageReceivedEvent.md)
- [RawMessageReceivedEvent](interfaces/RawMessageReceivedEvent.md)
- [Payload](interfaces/Payload.md)

## Type Aliases

- [EventHandlerSubscribeFn](type-aliases/EventHandlerSubscribeFn.md)
- [EventHandlerFn](type-aliases/EventHandlerFn.md)
- [EventHandlerUnsubscribeFn](type-aliases/EventHandlerUnsubscribeFn.md)

## Functions

- [createNymMixnetClient](functions/createNymMixnetClient.md)
